#ifndef SAMPLE_H
#define SAMPLE_H 1

#include <exec/types.h>

struct Sample
{
	WORD *SampleData;
	ULONG SampleSize;
	ULONG UseCnt;
};

struct Sample *CreateBeepSample(UWORD period, UWORD duration);
void ObtainSample(struct Sample *sample);
void ReleaseSample(struct Sample *sample);
void DeleteSample(struct Sample *beep);
void PlaySample(struct Sample *sample, UWORD volume, UWORD Period);
ULONG GetWaitSampleMask(void);
void WaitSample(void);
void StopSample(void);
void CleanupSample(void);

#endif /* SAMPLE_H */
